import java.net.*;
import java.io.*;

/**
 * Hugget fra Tutorials KKMultiserver - men uden KnockKnock..
 */

public class MultiServers extends Thread{

/*
 * Lsning p 8b sprgsml 1: Lad main (som er static) starte trdene
 *
 */

    static boolean listening = true;

    public static void main(String[] args) throws IOException {
        ServerSocket serverSocket = null;

        try {
            serverSocket = new ServerSocket(4444);
        } catch (IOException e) {
            System.err.println("Could not listen on port: 4444.");
            System.exit(-1);
        }

        while (listening)
            new MultiServers(serverSocket.accept()).start();

        serverSocket.close();
    }

    private Socket socket = null;

    public MultiServers(Socket socket) {
        super("MultiServerTraad");
        this.socket = socket;
    }

    public void run() {

        try {
            PrintWriter out = new PrintWriter(socket.getOutputStream(), true);
            BufferedReader in = new BufferedReader(
                                    new InputStreamReader(
                                    socket.getInputStream()));

            String inputLine;
            //out.println("Vi er klar");

            while ((inputLine = in.readLine()) != null) {
                out.println(inputLine);
                if (inputLine.equals("Bye"))
                    break;
                if (inputLine.equals("xBye")) {
		    listening = false;
                    break;
		}
            }
            out.close();
            in.close();
            socket.close();

        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}

