/*
 * SwingApplet lavet om til AWT og eventmodel 1.0
 */
import java.awt.* ;
// import javax.swing.* ; // ikke lngere brug for denne import
import java.awt.event.* ;

public class AWTApplet extends java.applet.Applet {

/*
 * Visuelle komponenter - Nu AWT-udgaver
 */
TextField indtast;
Label indtastLabel;
Button knap;
Label etiket;
Panel pane;
/*
 * Den interne taeller
 */
int taeller =0;

//
// Metoden init() kaldes umiddelbart efter, at AWTApplet er initaliseret
//
	public void init () {
	/*
	 * Opbygger billedet
	 *
	 * Etiketten fr indtastningsfelt
         */
        indtastLabel = new Label("Indtast:");
	indtastLabel.setBounds(10,20,65,25);
	indtastLabel.setAlignment(Label.RIGHT);
        /*
         * Indtastningsfelt
         */
        indtast = new TextField();
        //indtast.setToolTipText("Indtast et eller andet og tryk p knap");
        indtast.setBounds(85, 19, 321, 27);
        /*
	 * Knap-objektet oprettes og udpeges af variablen knap
	 */
        knap = new Button();
	knap.setLabel("Tryk mig!");
	knap.setBounds(128, 85, 171, 26);
	//knap.setToolTipText("S tryk da for pokker - Kan det g galt?");
	/*
	 * Alle komponentaktiveringer p knappen skal til dette objekt (this)
	 */
	//knap.addActionListener(this);
	//knap.setMnemonic('T'); // ALT-T er genvejstast

	/*
	 * Etikette-objekter oprettes og udpeges af variablen etiket
	 */
        etiket = new Label("Tryk nr. 0: (Du har ikke trykket endnu)");
	//etiket.setToolTipText("Hmm ");
	etiket.setBounds(7, 156, 416, 24);


	/*
	 * Der oprettes et srligt "panel" til at holde knapperne i
	 * pane peger alts p et container-komponent af typen Panel
         * AWT: Her skal Pane have en strrelse - der er ikke noget 
         * contentPane til at srge for det. Strrelsen kan vi f fra
         * appletten:
	 */
        pane = new Panel();
	pane.setBounds(this.getBounds());
        /*
	 * Med - og uden layoutmanager
	 */
//	pane.setLayout(new GridLayout());
	pane.setLayout(null);
	/*
	 * Tilfj knapperne til pane-objektet
	 */
	pane.add(indtastLabel);
	pane.add(indtast);
        pane.add(knap);
        pane.add(etiket);

	/*
	 * Tilfje pane-objektet til ContentPane i SwingApplet-objektet
	 */
        //getContentPane().add(pane, BorderLayout.CENTER);
	//i AWT tilfjer man direkte til appletten:
	this.add(pane);
	}

//
// For at reageret p et "tryk" p knappen, skal vi implementere (overskrive) metoden
// actionPerformed i interfaced ActionListener i 1.1-eventmodel. Men her
// skal vi overskrive metoden action():
// 
	public boolean action(Event e, Object arg) {
		// vi skal frst checke, og eventet er fra knappen;
		if (e.target == knap) {
			// behandling af hndelsen e 
                	// fra knap-komponenten
			taeller = taeller + 1;    // tael taeller op
			etiket.setText("Tryk nr. " + taeller + " : "+ indtast.getText());
			// opdater teksten i etiketten
			return true;
		} else {
			return false; // Det var ikke "vores" event!
		}
	}
//
// Den specielle main-metode, der skulle gre det muligt at kre Applet som 
// Application
//
	public static void main (String arg[]) {
		// Opret applet-object
		AWTApplet applet = new AWTApplet();
		// Opret Frame-objekt
		Frame frame = new Frame("PseudoApplet");
		// add applet to frame, st strrelse og vis den
		frame.add(applet);
		frame.setSize(426,240);
		frame.show();

		// st gang i applet
		applet.init();
		applet.start();
		applet.validate(); // Sikrer, at den altid kommer frem
	}
}
