/*
  Modificeret s den bruger SimpleText som database.
		af Leif Andersen, leander@blanet.dk. 14/10-2000 kl. 17:00
 ndringer er markeret i kommentarer.
 */

import java.sql.*;
import jdbc.SimpleText.SimpleTextDriver;

public class CreateCoffees {

	public static void main(String args[]) throws SQLException {
		  
		String url = "jdbc:SimpleText";
		Connection con;
		String createString;
		createString = "CREATE TABLE COFFEES1 " +
							"(COF_NAME varchar(32), " +
							"SUP_ID integer, " +
							/* "PRICE float(2,2), " + */ // Float gav fejl...
							"SALES integer, " +
							"TOTAL integer)";
		Statement stmt;
	
		 try {
			 Class.forName("jdbc.SimpleText.SimpleTextDriver"); // load bytecode for driver
		} catch(java.lang.ClassNotFoundException e) {
			System.err.print("ClassNotFoundException: "); 
			System.err.println(e.getMessage());
		} 
	    //SimpleTextDriver myDriver = new SimpleTextDriver();
		// Ovenstende var den vi anvendte til velsen - men vi kan faktisk njes med at load bytecode 
		// njagtig som for alle andre jdbc-drivere... 
		try {
			con = DriverManager.getConnection(url,      // Etabler forbindelse - se url ovenfor
									 "", "");
	
			stmt = con.createStatement();							
	   		    stmt.executeUpdate(createString);
	
			stmt.close();
			con.close();
	
		} catch(SQLException ex) {
			System.err.println("SQLException: " + ex.getMessage());
		}
	}
}

