import java.io.*;
import java.net.*;

/**
 * Denne udgave af EchoClient tager host parameter fra kommando-linien.
 * Desuden er der rettet en syntakfejl ift. plancherne.
 *
 */
public class EchoClient {

         public static void main(String[] args) throws IOException {

	// Ny variabel, hostNavn;
		String hostNavn = "localhost" ;
             	Socket echoSocket = null;
             	PrintWriter out = null;
             	BufferedReader in = null;
	// kode til at lse fra kommandolinien - default er localhost
		if (args.length >0) hostNavn = args[0];

             	try {
                	 echoSocket = new Socket(hostNavn, 4444);
                 	out = new PrintWriter(echoSocket.getOutputStream(), true);
                 	in = new BufferedReader(new InputStreamReader(echoSocket.getInputStream()));
             	} catch (UnknownHostException e) {
                	 System.err.println("Kunne ikke finde host:" + hostNavn);
                 	System.exit(1);
             	} catch (IOException e) {
                	 System.err.println("Couldn't get I/O for the connection to: " + hostNavn);
                 	System.exit(1);
             	}

             	BufferedReader stdIn = new BufferedReader(new InputStreamReader(System.in));
             	String userInput;

             	while ((userInput = stdIn.readLine()) != null) {
                 	out.println(userInput);
                 	System.out.println("echo: " + in.readLine());
             	}

             	out.close();
             	in.close();
             	stdIn.close();
             	echoSocket.close();
         	}
}
