import java.io.*;
import java.net.*;

public class EchoServer {

 	public static void main (String arg[]) {
  		// Opret variabel
		ServerSocket serverSocket = null;
		// Start serverens aflytning af serviceport
		try {
		         serverSocket = new ServerSocket(4444);
		} 
		catch (IOException e) {
        		System.out.println("Kunne ikke lytte paa port: 4444");
        		System.exit(-1);
	     	}
	// Server kunne lytte p port 4444...
	// Start service ved at vente p klientopklad

     		Socket clientSocket = null;
     		try {
        		 clientSocket = serverSocket.accept();
     		} catch (IOException e) {
        		System.out.println("Accept fejlede paa: 4444");
         		System.exit(-1);
     		}
	//
	// klient har forbundet sig...
    	// en ekstra try indsat, krvet af PrintWriter
		try {
	     		PrintWriter out = new PrintWriter(
                           clientSocket.getOutputStream(), true);

  			BufferedReader in = new BufferedReader(
                             new  InputStreamReader(
                             clientSocket.getInputStream()));
    	 		String inputLine = null; 
	// 		String outputLine = null;

	// Alt om KnockKnock-protokol er fjernet...
     	// initiate conversation with client
     	//KnockKnockProtocol kkp = new KnockKnockProtocol();
     	//outputLine = kkp.processInput(null);
     	//out.println(outputLine);

     			while ((inputLine = in.readLine()) != null) {   

     	//    outputLine = kkp.processInput(inputLine);
     	//    out.println(outputLine);
	// ingen KnokKnok blot
				out.println(inputLine);
        			if (inputLine.equals("Bye."))
             				break;
     			}
			// s er det slut...
     			out.close();
     			in.close();
     			clientSocket.close();
    		 	serverSocket.close();
		} catch (IOException io) {
			System.err.println ("Fejl p open af socketstreams..");
		}
	}
}
