import java.io.*;
/**
 * Kodestumpen pakkes ind i en metode og en klasse. For at starte et program
 * (application) skal man mindst overskrive standardkmetoden main. Den kan 
 * ogs ligesgodt indeholde kodestumpen.
 */
class FilKopi {

	public static void main (String arg[]) {
		try {
			// FileInputStream krver en catch for FileNotFoundException. Den "fanger" vi til sidst...
			DataInput    aDI = new DataInputStream(new FileInputStream ("kilde"));
			DataOutput   aDO = new DataOutputStream(new FileOutputStream ("dest"));
			String line ;

			try { 
			// readLine()-metode krver en catch for IOException..
				while ((line = aDI.readLine()) != null) {
     	   			StringBuffer modifiedLine = new StringBuffer (line + "\n");
        	// ...
        	// Her kunne indsttes kode, som tilfjer filnavn og linienr.
        	// Men ingenting (som her) er ogs godt nok
		//
        			aDO.writeBytes(modifiedLine.toString());
				}
			}
			catch (IOException io) {
				// readLine()-exception - vil ogs fange en evt. exception fra writeBytes().
				System.err.println ("Filfejl : " + io);
			}
		//aDI.close() ;
		//aDO.close() ;
		}
		catch (FileNotFoundException fn) {
			// Her er s catch fra FileInputStream()
			System.err.println ("Input fil ikke fundet!");
		}
	}
}

